/* 
Theme Name: SaoKim Digital
Theme URI: https://saokim.digital/
Description: A product designed and implemented by SaoKim Digital for customers. Hotline 0964.699.499
Author: Sao Kim Team
Template: hello-elementor
Author URI: https://saokim.digital/
Version: 1.0.0
*/
@media only screen and (max-width: 600px) {}

@media only screen and (min-width: 1140px) {

    .e-con-boxed>.e-con-inner,
    .main-home .swiper-slide-inner {
        max-width: 100% !important;
        margin-left: auto;
        margin-right: auto;
        padding-left: 60px;
        padding-right: 60px;
    }
}

@media only screen and (min-width: 1200px) {

    .e-con-boxed>.e-con-inner,
    .main-home .swiper-slide-inner {
        max-width: 100% !important;
        margin-left: auto;
        margin-right: auto;
        padding-left: 80px;
        padding-right: 80px;
    }
}


@media only screen and (min-width: 1550px) {

    .e-con-boxed>.e-con-inner,
    .main-home .swiper-slide-inner {
        max-width: 100% !important;
        margin-left: auto;
        margin-right: auto;
        padding-left: 120px;
        padding-right: 120px;
    }
}


html,
body {
    line-height: 1.4;
    overflow-x: hidden;
}


.max_line_1,
.max_line_1 a,
.max_line_1 p {
    overflow: hidden;
    display: -webkit-box !important;
    -webkit-line-clamp: 1 !important;
    line-clamp: 1 !important;
    -webkit-box-orient: vertical !important;
}

.max_line_2,
.max_line_2 a,
.max_line_2 p {
    overflow: hidden;
    display: -webkit-box !important;
    -webkit-line-clamp: 2 !important;
    line-clamp: 2 !important;
    -webkit-box-orient: vertical !important;
}

.max_line_3,
.max_line_3 a,
.max_line_3 p {
    overflow: hidden;
    display: -webkit-box !important;
    -webkit-line-clamp: 3 !important;
    line-clamp: 3 !important;
    -webkit-box-orient: vertical !important;
}

.gt_float_switcher .gt_options {
    position: absolute !important;

}

.gt_float_switcher {
    box-shadow: none !important;
}

.gt_float_switcher .gt_options {
    background: #fff;
    width: 150px;
    max-width: 500%;
    font-size: 16px;
}

.gt_float_switcher .gt_options.gt-open {
    background: #fff;
    font-size: 16px;
    box-shadow: rgb(0 0 0 / 8%) 0 5px 15px;
    border-radius: 6px;
}


.gt_float_switcher .gt_options.gt-open a {
    display: flex;
    flex-wrap: nowrap;
    white-space: nowrap;
}

.gt_float_switcher .gt-selected .gt-current-lang {
    font-size: 16px;
    font-weight: 400 !important;
    padding: 0 !important;
}

.gt_float_switcher img {
    width: 23px !important;
    margin: 0 2px 0 0 !important;
}

#gt_float_wrapper {
    line-height: 0 !important;
}

.rank-math-breadcrumb a,
.rank-math-breadcrumb span {
    color: #fff;
    color: #FFF;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-transform: uppercase;
    padding: 10px 5px;
    display: inline-block;
}

.rank-math-breadcrumb p {
    margin-bottom: 0;
}



.marquee-left .elementor-image-gallery,
.marquee-right .elementor-image-gallery {
    max-width: 100%;
    overflow: hidden;
}

.marquee-left .gallery,
.marquee-right .gallery {
    display: flex;
    align-items: center;
    gap: 40px;
    width: max-content;
    will-change: transform;
    padding: 20px 0;
}

.marquee-left .gallery img,
.marquee-right .gallery img {
    height: 160px;
    width: auto;
    object-fit: cover;
    padding: 20px;
    border-radius: 10px;
    background: #FFF;
    box-shadow: 0 1px 6px 0 rgba(0, 0, 0, 0.06);

}

.dm-sp-list {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-left: 0;
    list-style: none;
    gap: 16px;
}

.dm-sp-list li {
    list-style: none;
}

.dm-sp-list li a {
    border-radius: 6px;
    border: 1px solid #BBC8E6;
    padding: 10px 20px;
    display: block;
    color: #1A2D59;
    font-weight: 600;
    text-transform: uppercase;
    line-height: 1.3;
}

.dm-sp-list li a:hover {
    border: 1px solid #D72027;
    color: #fff;
    background: #D72027;
}

.elementor-pagination .page-numbers {
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 4px;
    border: 1px solid #1A2D59;
    color: #1A2D59;
}

.elementor-pagination {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    margin: 40px 0 20px 0;
}

.elementor-pagination .current,
.elementor-pagination .page-numbers:hover {
    background: var(--Color-Navy, #1A2D59);
    box-shadow: 0 4px 26px 0 rgba(42, 159, 255, 0.08);
    backdrop-filter: blur(18px);
    color: #fff;
}


.hero-carousel .swiper-pagination-bullet {
    display: none !important;
}

.hero-carousel .swiper-pagination {
    display: flex;
    align-items: center;
    gap: 12px;
    justify-content: center;
    position: relative !important;
    padding: 30px 117px 22px 117px;
    background-image: url(assets/images/bg-pg.svg);
    background-size: contain;
    background-repeat: no-repeat;
    top: 2px;
    background-position: bottom center;
}

.hero-carousel .pagination-item {
    display: flex;
    align-items: center;
    gap: 12px;
}

.hero-carousel .pagination-number {
    color: #2E79FF;
    font-weight: 600;
    font-size: 15px;
    cursor: pointer;
}

.hero-carousel .pagination-line {
    width: 22px;
    height: 1px;
    background: #2E79FF;
}

.hero-carousel .pagination-dot {
    width: 6px;
    height: 6px;
    border-radius: 50%;
    background: #ABB5CA;
    cursor: pointer;
    transition: .3s;
}

.hero-carousel .pagination-dot:hover {
    background: #2E79FF;
}

#my-section {
    height: 0;
    overflow: hidden;
    transition: height 0.5s ease;
}

@media only screen and (max-width: 1550px) {
    .hero-carousel .swiper-pagination {
        padding: 26px 94px 18px 94px;
    }
}

@media only screen and (max-width: 1110px) {
    .dm-sp-list {
        flex-wrap: wrap;
    }

    .dm-sp-list li a {
        font-size: 14px;
    }

    .hero-carousel .swiper-pagination {
        padding: 18px 80px 14px 80px;
    }

    .elementor-pagination a,
    .elementor-pagination span {
        width: 34px;
        height: 34px;
    }

    .marquee-left .gallery,
    .marquee-right .gallery {
        gap: 20px;
        padding: 0;
    }
}